Page MenuHomePhabricator

Render proper "Show Context" links in DocumentEngine diffs, not just bullets
ClosedPublic

Authored by epriestley on May 12 2020, 11:00 PM.
Tags
None
Referenced Files
F13346219: D21243.diff
Fri, Jun 21, 2:01 PM
F13345159: D21243.diff
Fri, Jun 21, 9:44 AM
F13332003: D21243.diff
Mon, Jun 17, 8:23 AM
F13319768: D21243.diff
Thu, Jun 13, 2:18 PM
F13283640: D21243.diff
Sun, Jun 2, 4:02 PM
F13258102: D21243.diff
Sun, May 26, 6:43 AM
F13245855: D21243.diff
May 23 2024, 6:19 AM
F13207066: D21243.id50590.diff
May 15 2024, 8:41 PM
Subscribers
None

Details

Summary

Ref T13513. Currently, viewing a Jupyter document, hidden context just gets a plain "* * *" facade with no way to expand it.

Support click-to-expand, like source changes.

Test Plan
  • Clicked to expand various Jupyter diffs.
  • Clicked to expand normal source changes.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.May 12 2020, 11:09 PM
This revision was automatically updated to reflect the committed changes.